Subject: Re: Addremove equivalent

From: Junio C Hamano <[email-masked]>
Date: Sat, 19 Jul 2008 20:27:44 -0700

"Jay Soffian" <[email-masked]> writes:

> On Fri, Jul 18, 2008 at 5:55 AM, Michael J Gruber
> <[email-masked]> wrote:
>> sometimes I find my self wanting an "addremove", such as in a situation like
>
> I have the following aliased as "addremove":
>
>   git ls-files -d -m -o -z --exclude-standard \
>   | xargs -0 git update-index --add --remove

I'll send out two patches on this topic.

Junio C Hamano (2):
      builtin-add.c: restructure the code for maintainability
      git-add -a: add all files